<template>
  <div>
    <h3>All Issues</h3>

    <div class="issues-list">
      <h5>Todo</h5>

      <!-- <draggable v-model="issues" group="issues" @change="moveIssue" @start="drag=true" @end="drag=false"> -->
      <div class="issue-item"  v-for="issue in issues" :key="issue.id">
        <div class="issue-field issue-key">
          <b-link :to="{ name: 'IssuesProjectViewIssue', params: { key: issue.key } }">{{ issue.key }}</b-link>
        </div>

        <div class="issue-field issue-title">
          {{ issue.title }}
        </div>

        <div class="issue-field issue-tags">
          <span v-for="tag in issue.tags" :key="tag">
            <b-badge variant="success" style="margin: 0 2px">{{ tag }}</b-badge>
          </span>
        </div>
      </div>
      <!-- </draggable> -->
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex'
import draggable from 'vuedraggable'

export default {
  name: 'IssuesList',
  components: {
    draggable
  },
  props: ['sidebarActiveKey'],
  created() {
    this.$emit('setSidebarActive', this.sidebarActiveKey);
    this.$store.dispatch('issues/issues/getIssuesListForProject', this.$route.params.identifier);
  },
  computed: {
    issues: {
      get() {
        return this.$store.getters['issues/issues/getIssuesByProjectIdentifier'](this.$route.params.identifier);
      },
      set(value) {
        // console.log(value);
        // this.$store.commit('issues/issues/setIssuesOrder', value);
        return false;
      }
    }
  },
  methods: {
    moveIssue: function(event) {
      console.log(event);
      return false;
    }
  }
}
</script>

<style scoped lang="scss">
.issues-list {
  background-color: #f4f5f7;
  padding: 10px;

  .issue-item {
    border-radius: 2px;
    border: 2px solid #ececec;
    border-top: 0;

    &:first-of-type {
      border-top: 2px solid #ececec !important;
    }
    background: white;
    padding: 4px 8px;

    .issue-field {
      display: inline;
    }

    .issue-key {
      margin-right: 2px;
    }

    .issue-tags {
      float: right;
    }
  }
}
</style>